출시 노트

이 페이지에는 Cloud Tools for Eclipse의 프로덕션 업데이트 내용이 수록되어 있습니다. 이 페이지를 확인하여 새로운 기능이나 업데이트된 기능, 버그 수정, 알려진 문제, 지원 중단된 기능에 대한 공지를 볼 수 있습니다.

1.7.1(2018년 7월 10일)

Objectify 6.0이 포함된 새로운 App Engine 가변형 환경 프로젝트에 대한 추가 구성 정보가 생성됩니다.

시작 화면 항목이 다시 작성되고 확장되었습니다.

관리되는 Cloud SDK 설치 프로그램은 Cloud SDK 업데이트가 롤백될 때 더욱 강력합니다.

1.7.0(2018년 6월 1일)

Eclipse 프로젝트 탐색기에는 appengine-web.xml, web.xml, cron.xml, dos.xml, 기타 구성 정보에 쉽게 액세스할 수 있는 새로운 App Engine 콘텐츠 블록이 포함되어 있습니다.

서버가 중지되면 로컬에서 실행 중인 dev_appserver에 의해 자동으로 생성된 datastore-indexes.xml 파일을 indexes.xml 파일에 병합할 수 있습니다.

Objectify 6.0은 이제 App Engine 가변형 환경에서 지원됩니다. Objectify 5.x는 App Engine 표준 환경에서 사용됩니다.

Windows의 관리형 Cloud SDK 경로를 글자 수 제한(255자)에 맞게 축소했습니다.

1.6.1(2018년 4월 5일)

이제 새 App Engine 프로젝트의 pom.xml 파일에 google-cloud-java BOM(Bill Of Materials)이 포함되어 사용됩니다.

App Engine SDK 라이브러리(com.google.appengine:appengine-sdk-1.0-api)가 더 이상 App Engine 표준 런타임 정의에 포함되지 않습니다. 이 jar의 클래스를 사용하려면 이 라이브러리를 프로젝트에 명시적으로 포함해야 합니다. 패키지 탐색기에서 프로젝트를 선택하고 컨텍스트 메뉴에서 Build Path(빌드 경로) > Add Libraries(라이브러리 추가) > Google Cloud Platform Libraries(Google Cloud Platform 라이브러리) > App Engine API를 선택하고 Finish(완료)를 누릅니다. 이 라이브러리에 의존하는 기존 Maven 프로젝트가 있는 경우 pom.xml의 appengine-sdk-1.0-api 종속 항목에서 <scope>provided</scope>를 삭제하세요. App Engine SDK jar는 향후 서버 런타임에서 제거될 예정입니다.

1.6.0(2018년 3월 12일)

이제 Cloud Tools for Eclipse는 SDK가 로컬에 없으면 Cloud SDK를 자동으로 다운로드하고 유지 관리할 수 있습니다. 이 기능에 대한 자세한 내용은 SDK 관리 환경 설정을 업데이트하는 방법이 수록된 프로젝트용 SDK 관리 가이드를 참조하세요.

이제 Eclipse 상태 표시줄에 Google Cloud Platform 서비스 상태가 표시됩니다.

Cloud Tools for Eclipse는 더 이상 Eclipse 4.5 Mars를 지원하지 않습니다. Eclipse 4.6 Neon이 이제 최소 필수 버전입니다.

Cloud Tools for Eclipse는 App Engine 표준 자바 7 런타임을 지원 중단된 것으로 표시합니다.

특정 상황에서 로컬 서버를 중지할 수 없는 버그가 수정되었습니다.

App Engine 프로젝트를 만드는 동안 다운로드된 JAR이 이따금 손상되는 문제가 해결되었습니다.

1.5.1(2018년 1월 31일)

새로운 프로젝트는 이제 Maven App Engine 플러그인의 최신 출시 버전과 자바용 Google Cloud 라이브러리를 사용합니다.

로컬 서버가 시작될 때 이따금 중단되는 버그가 수정되었습니다.

1.5.0(2017년 12월 7일)

YEdit 및 Dockerfile Editor는 이제 핵심 Cloud Tools for Eclipse와 함께 선택적으로 설치됩니다.

클라우드 서비스에 액세스하기 위해 서비스 실행 키를 로컬 실행에 추가할 수 있습니다.

Eclipse 프로젝트에서 자바용 클라우드 라이브러리를 추가 및 제거할 수 있습니다.

변환된 프로젝트는 이제 자바 8 및 java8 런타임으로 기본 설정됩니다.

수백 개의 GCP 프로젝트에 대한 액세스 권한이 있는 사용자는 배포를 더욱 안정적으로 수행할 수 있습니다.신뢰할 수 있습니다.

1.4.1(2017년 10월 30일)

appengine-api-1.0-sdk.jar 클래스에 의존하는 App Engine 표준 환경 프로젝트를 로컬 서버에서 실행할 때 NoClassDefFoundError가 더 이상 발생하지 않습니다.

GA 출시 버전이 없는 프로젝트에 Google 라이브러리를 추가하면 Eclipse는 가장 최근의 베타 또는 알파 버전을 선택합니다.

해당 콘텐츠를 보다 정확하게 설명하기 위해 'Google API 라이브러리'의 명칭이 '자바용 Google Cloud 클라이언트 라이브러리'로 변경되었습니다.

1.4.0(2017년 10월 19일)

실행 가능한 JAR이 패키징된 Maven 프로젝트(예: Spring Boot 또는 Spark Java)를 App Engine 가변형 환경 자바 런타임에 배포할 수 있습니다.

개별 WAR 파일과 실행 가능한 JAR 보관 파일은 Eclipse에서 생성했는지 여부에 관계없이 App Engine 가변형 환경에 배포할 수 있습니다.

모든 google-cloud-java 라이브러리는 자바 8 Eclipse 프로젝트 및 자바 7 비 App Engine 프로젝트에 추가할 수 있습니다. App Engine 표준 자바 7 런타임에서 작동하는 이러한 라이브러리 중 일부를 자바 7 App Engine 프로젝트에 추가할 수 있습니다.

Google 관리 라이브러리 jar가 이제 개별 라이브러리 컨테이너가 아닌 단일 Google API 컨테이너에 추가됩니다.

자바 8 및 Servlet 3.1은 이제 새 프로젝트 마법사의 기본 환경입니다. 새로운 프로젝트는 자바 8로 시작되어야 합니다.

네이티브 프로젝트에서 App Engine SDK(com.google.appengine:appengine-sdk-1.0-api)가 더 이상 서버 런타임처럼 App Engine 표준 런타임 정의에 포함되지 않습니다.

App Engine 표준 런타임에 대체 구현을 허용하는 JSTL(jstl:jstl)이 더 이상 포함되지 않습니다. JSTL을 기존 프로젝트에 추가해야 하는 경우 Maven Central에서 Apache Standard Tag Library jar를 다운로드하여 프로젝트의 WEB-INF/lib 디렉토리에 배치할 수 있습니다.

appengine-api-1.0-sdk.jar 클래스에 의존하는 App Engine 표준 환경 프로젝트를 로컬 서버에서 실행할 때 NoClassDefFoundError가 더 이상 발생하지 않습니다. 배포 및 프로덕션 환경에는 영향을 미치지 않습니다.

Maven 프로젝트에서 이 문제를 해결하려면 pom.xml의 appengine-api-1.0-sdk dependency 요소에서 <scope>provided</scope>를 삭제합니다. 비 Maven 프로젝트에서는 appengine-api-1.0-sdk.jarWEB-INF/lib 폴더에 복사하고 프로젝트를 새로 고칩니다. 이 jar를 Maven Central에서 다운로드할 수 있습니다.

프로젝트에 Endpoints 라이브러리를 추가하면 이미 Servlet API 3.1에 의존하는 자바 8 프로젝트에서도 Servlet API 2.5에 대한 종속 항목이 추가됩니다.

기존 프로젝트에 이전 스타일의 Google API 라이브러리 컨테이너가 있는 경우 이를 단일 'Google API' 컨테이너로 업그레이드해야 합니다. 프로젝트를 선택하고 컨텍스트 메뉴를 사용하여 Configure(구성) > Update Project for Cloud Tools for Eclipse(Cloud Tools for Eclipse용 프로젝트 업데이트)를 선택합니다.

1.3.1(2017년 9월 13일)

새 프로젝트 템플릿은 HTML 5, Servlet 3.1, UTF-8 인코딩, Endpoints 2.0을 사용합니다(해당하는 경우).

Cloud Dataflow 새 프로젝트 마법사가 툴바 버튼에 나타나고 최신 아키타입 및 SDK 버전에서 작동합니다.

1.3.0(2017년 8월 7일)

이제 Cloud Dataflow가 지원됩니다.

프로젝트 선택기 대화상자에서 이름이나 프로젝트 ID로 GCP 프로젝트를 필터링할 수 있습니다.

이제 App Engine 표준 Maven 프로젝트를 Eclipse로 가져오면 인식됩니다.

Maven 기반 프로젝트가 더 이상 별도의 마법사나 아키타입을 사용하지 않습니다. 이제 새 App Engine 표준 프로젝트 마법사에서 체크박스를 선택하면 Maven이 추가됩니다.

1.2.0(2017년 6월 12일)

이제 App Engine 가변형 환경 자바 8 런타임이 지원됩니다. 새로운 가변형 프로젝트를 만들고 배포할 수 있습니다. 기존 자바 서블릿 프로젝트를 가져와서 가변형 환경에서 사용할 수 있도록 변환할 수 있습니다. Eclipse Jetty 통합을 설치하여 로컬에서 앱을 실행할 수 있습니다.

API 관리자를 사용하는 GPE 프로젝트를 변환하면 빌드 오류가 거의 발생하지 않습니다.

1.1.0(2017년 5월 17일)

로컬 서버에서 자바 8이 지원됩니다. 이 기능을 사용하려면 Eclipse 프로젝트 속성에서 자바 패싯 버전을 1.8로 설정하고 appengine-web.xml에 <runtime>java8</runtime>을 추가하세요. 배포하려는 Google Cloud 프로젝트가 자바 8 지원을 허용하는 경우에만 자바 8 Eclipse 프로젝트를 App Engine 표준 환경에 배포할 수 있습니다.

이제 로그인하면 프로필 사진이 표시됩니다.

NullPointerExceptions로 이어질 수 있는 몇 가지 문제가 해결되었습니다.

1.0.3(2017년 4월 12일)

appengine-web.xml의 자동 완성.

여러 포트에서 동시에 여러 로컬 서버를 실행할 수 있습니다.

올바른 관리 서버 URL이 Eclipse 콘솔에 표시됩니다.

1.0.2(2017년 4월 4일)

cron.xml, datastore-indexes.xml, dispatch.xml, dos.xml, queue.xml을 이제 IDE 내에서 배포할 수 있습니다.

인앱 버그 보고를 위한 새 Submit issue or feedback…(문제 또는 피드백 제출…) 메뉴 항목.

기존 프로젝트를 변환할 때 webapp 폴더가 자바 패키지로 구성되지 않습니다.

Cloud Tools for Eclipse를 설치해도 더 이상 Android Developer Tools가 제거되지 않습니다.

XML 파일의 사전 수정 버전이 이제 Eclipse의 로컬 활동 내역에 표시됩니다.

1.0.1(2017년 3월 16일)

이제 새 프로젝트 생성 후 Eclipse 프로젝트에 라이브러리를 추가할 수 있습니다.

배포 대화상자에는 새로 고침 버튼이 있습니다.

JSTL jar는 이제 기본적으로 추가됩니다.

저장되지 않은 변경 사항이 있는 appengine-web.xml 파일에 빠른 해결책을 적용하면 이러한 변경 사항이 덮어써지지 않습니다.

프로젝트에 빌드 오류가 있으면 서버를 실행하기 전에 Run As(다음으로 실행) > App Engine이 표시됩니다.

1.0.0(2017년 3월 1일)

이는 Beta 16과 동일하며 새로운 안정적인 URL에서만 제공됩니다.

1.0 베타 16 RC 1(2017년 2월 23일)

Run As(다음으로 실행) > App Engine은 수정된 파일이 저장될 때까지 기다렸다가 로컬 서버를 시작하지 않습니다.

로컬 서버 실행 중에 콘솔이 http://localhost:59027/_ah/admin에서 관리 서버를 찾을 수 없다는 메시지를 표시하는데, 이는 잘못된 것입니다. 관리 서버는 http://localhost:8000/에 있습니다.

저장되지 않은 변경 사항이 있는 appengine-web.xml 파일에 빠른 해결책을 적용하면 이러한 변경 사항이 덮어써집니다. 빠른 해결책을 적용하기 전에 모든 변경 사항을 저장하세요.

프로젝트에 빌드 오류가 있으면 서버를 실행하기 전에 Run As(다음으로 실행) > App Engine이 표시되지 않습니다.

1.0 베타 15(2017년 2월 16일)

배포된 App Engine 애플리케이션은 웹 브라우저에서 자동으로 열립니다.

사용 가능한 경우 이메일 주소와 이름이 계정 패널에 표시됩니다.

배포 시 프로젝트 ID를 입력하는 대신 사용 가능한 GCP 프로젝트 목록에서 선택할 수 있습니다.

appengine-web.xml에 `application` 요소가 포함된 경우 사용자에게 경고합니다.

Run As(다음으로 실행) > App Engine은 수정된 파일이 저장될 때까지 기다렸다가 로컬 서버를 시작하지 않습니다.

Eclipse Oxygen 마일스톤 5 또는 Eclipse Neon 4.6.3 베타에서 새로운 프로젝트를 만들 때 더 이상 교착 상태가 발생하지 않습니다.

1.0 베타 11(2017년 2월 6일)

빌드할 수 없는 프로젝트를 만들기보다는 Maven Central에 도달할 수 없을 때 이를 인식하고 사용자에게 경고합니다.

Eclipse Oxygen의 최신 마일스톤 5와 Neon 4.6.3 베타는 새 프로젝트 생성 시 교착될 수 있습니다. Eclipse 4.5 Mars 또는 Neon 4.6.2 이하에서는 이러한 현상이 발생하지 않습니다.

1.0 베타 10(2017년 1월 30일)

Maven 및 GPE 프로젝트를 비롯한 기존 App Engine Eclipse 프로젝트를 한 번만 클릭하여 Cloud Tools for Eclipse 프로젝트로 변환.

다시 한 번 말하지만 기존 Eclipse용 Google 플러그인은 Cloud Tools for Eclipse가 설치될 때 자동으로 제거되지 않습니다.

Wi-Fi가 꺼져 있어 Maven Central에 연결할 수 없는 경우 새로운 App Engine 프로젝트를 생성하면 빌드할 수 없는 프로젝트가 생성됩니다.

1.0 베타 9(2017년 1월 18일)

새 프로젝트 생성, 로컬 실행, 배포 등 App Engine 작업 수행을 위한 툴바 드롭다운 메뉴.

생성된 App Engine 네이티브 프로젝트에 favicon.ico가 추가되었습니다.

패키지 또는 프로젝트 탐색기에서 프로젝트의 파일을 선택한 경우 프로젝트를 시작할 수 있습니다. 더 이상 전체 프로젝트를 선택할 필요가 없습니다.

다양한 Linux 패키지 관리자가 설치한 Cloud SDK 버전을 감지할 수 없습니다. 이것이 문제가 될 경우 Cloud SDK의 zip을 다운로드하고 Cloud Tools for Eclipse를 여기로 가리킬 수 있습니다.

기존 Eclipse용 Google 플러그인은 Cloud Tools for Eclipse가 설치될 때 자동으로 제거되지 않습니다. Cloud Tools for Eclipse를 설치하기 전에 수동으로 제거해야 합니다.

1.0 베타 8(2017년 1월 9일)

여러 경합 상태가 수정되었습니다.

Linux의 기존 Cloud SDK 설치에 대한 보다 완벽한 자동 감지.

Maven이 아닌 새 프로젝트 마법사의 서비스 요소.

1.0 베타 7(2016년 12월 20일)

재설계되고 간소화된 대화상자 및 새 프로젝트 마법사.

로컬 서버에서 클릭 한 번으로 실행할 수 있는 컨텍스트 메뉴 항목.

기존 GPE 및 기타 Eclipse 서블릿 프로젝트의 가져오기 간소화.

1.0 베타 6(2016년 12월 9일)

Cloud SDK 최소 버전은 현재 133입니다.

Cloud Tools for Eclipse를 설치하기 전에 GPE를 제거해야 합니다.

새 프로젝트 마법사의 맞춤설정 도움말.

툴팁.

1.0 베타 5(2016년 12월 7일)

Windows의 LOCALAPPDATA 디렉토리에서 Cloud SDK를 찾아보세요.

Cloud SDK가 너무 오래되었을 때(현재 130 이하) 사용자에게 경고합니다.

새로운 App Engine 아이콘.

새 프로젝트 마법사의 진행률 모니터는 진행 상황을 보다 정확하게 추적합니다.

1.0 베타 4(2016년 11월 23일)

이제 플러그인이 Google 비공개 키로 서명됩니다.

이제 Eclipse 4.5 이상의 모든 버전에서 실행됩니다. 자바 EE용 Eclipse가 더 이상 필요하지 않습니다.

1.0 베타 1(2016년 11월 3일)

새로운 App Engine 프로젝트 마법사.

App Engine 에뮬레이터에서 로컬 실행 및 디버그.

App Engine 표준 환경에 배포.

플러그인이 아직 서명되지 않았습니다. 업데이트 사이트에서 설치할 때 경고가 표시됩니다.

이 페이지가 도움이 되었나요? 평가를 부탁드립니다.

다음에 대한 의견 보내기...

Cloud Tools for Eclipse
도움이 필요하시나요? 지원 페이지를 방문하세요.